Redmine - Defect #29694

Some buttons in wiki toolbar are hidden in responsive layout
2018-09-30 11:13 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Ul - Responsive Estimated time: 0.00 hour
Target version: Candidate for next minor release

Resolution: Affected version:

Description

#27758#note-8 by Marius BALTEANU:
on responsive mode, when the screen resolution width in less than the total width of the js toolbar (tabs + buttons), some

buttons become hidden. I'm not happy with the current solution, but is not a blocker from my point of view and we can improve
this later when we have a better solution.

#27758#note-53 by Takeshi Nakamura:

Toolbar buttons are not wrapped when the screen is narrow.
Related issues:
Related to Redmine - Feature #27758: Adds preview option to the wiki toolbar Closed

History

#1 - 2018-09-30 11:13 - Go MAEDA
- Related to Feature #27758: Adds preview option to the wiki toolbar added

#2 - 2018-12-30 08:49 - Marius BALTEANU
- Assignee set to Marius BALTEANU

#3 - 2020-01-31 09:07 - Takenori TAKAKI
- File scrollable-css.patch added

- File scrollable-css.gif added

- File move-left-right-buttons.patch added

- File move-left-right-buttons.png added

| made two patterns of patches to make wiki-toolbar scrollable.
Attach the patches with the screenshot.

(1) scrollable-css.patch
Add scroll setting with css to wiki-toolbar.

scrollable-css.gif

(2) move-left-right-buttons.patch
Add buttons to move the wiki-toolbar left and right like the setting screen.
https://www.redmine.org/issues/27758#note-53
#4 - 2020-02-17 15:03 - Go MAEDA
- File slack-popup-menu.png added

It may be one of the solutions to reduce buttons by implementing a context menu like Slack. In Slack, the menu is displayed when you select text. We

can remove some buttons from the current toolbar with the popup menu.

0 the quick brown fox jumps over the lazy dog.

3£ + Return TiX{g

#5 - 2020-02-17 17:25 - Bernhard Rohloff
- File github_small.png added
- File github_wide.png added

Github also has an interesting solution for this issue. They simply put their toolbar under the tab if there's not enough space left next to it.

On wide screens the toolbar is next to the tabs.
github_wide.png

On narrow screens it moves under the tabs in the input field area.
github_small.png

Files

scrollable-css.patch 367 Bytes 2020-01-31 Takenori TAKAKI
scrollable-css.gif 300 KB 2020-01-31 Takenori TAKAKI
move-left-right-buttons.patch 1.65 KB 2020-01-31 Takenori TAKAKI
move-left-right-buttons.png 71.6 KB 2020-01-31 Takenori TAKAKI
slack-popup-menu.png 23.3 KB 2020-02-17 Go MAEDA
github_small.png 20.5 KB 2020-02-17 Bernhard Rohloff
github_wide.png 24.5 KB 2020-02-17 Bernhard Rohloff
